Subject: bug#36525: M-x default when cursor on top of a M-x command in INFO

From: Sebastian Urban <[email-masked]>
Date: Mon, 15 Jul 2019 10:43:09 +0200

> Yes, and I don't think it is warranted, so I think this report
> should be closed as notabug/wontfix.

I'm a bit late to the party, but... perhaps doing it how "describe"
commands do it would be better, i.e. in minibuffer:

    M-x (default list-coding-systems) |

where '|' is cursor position.  No evasive manoeuvres to avoid
automatic inserting, no deleting if we want to run different command,
no additional key (like 'M-n') - just RET if you agree, or write
different command.  But I must say that it looks a bit stranger than
in case of "describe" commands.  Maybe just make it optional
behaviour, controlled by variable (nil/t).  Of course, in this case,
'M-n' should avoid first value, because it'll be inside parentheses,
and skip to the next one.